"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Gridlines;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

var _constants = require("./constants");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// Need multiple transforms for vertical gridlines or else they
// seem to overlap eachother and only 1 is shown
function Gridlines({
  topY,
  bottomY,
  leftX,
  rightX,
  isActive
}) {
  const horizontal1 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      translateY: (bottomY.value - topY.value) * (1 / 3)
    }],
    opacity: true === isActive.value ? 0.5 : 0
  }));
  const horizontal2 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      translateY: (bottomY.value - topY.value) * (2 / 3)
    }],
    opacity: true === isActive.value ? 0.5 : 0
  }));
  const vertical1 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      rotate: "90deg"
    }, {
      translateX: (bottomY.value - topY.value + 2 * _constants.BOX_BORDER) / 2
    }, {
      scaleX: bottomY.value - topY.value / (rightX.value - leftX.value)
    }, {
      translateY: (2 / 3 - 1 / 2) * (rightX.value - leftX.value)
    }],
    opacity: true === isActive.value ? 0.5 : 0
  }));
  const vertical2 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      rotate: "90deg"
    }, {
      translateX: (bottomY.value - topY.value + 2 * _constants.BOX_BORDER) / 2
    }, {
      scaleX: bottomY.value - topY.value + 1 / (rightX.value - leftX.value)
    }, {
      translateY: -(2 / 3 - 1 / 2) * (rightX.value - leftX.value)
    }],
    opacity: true === isActive.value ? 0.5 : 0
  }));
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_reactNativeReanimated.default.View, {
    style: [styles.gridline, horizontal1]
  }), /*#__PURE__*/React.createElement(_reactNativeReanimated.default.View, {
    style: [styles.gridline, horizontal2]
  }), /*#__PURE__*/React.createElement(_reactNativeReanimated.default.View, {
    style: [styles.gridline, vertical1]
  }), /*#__PURE__*/React.createElement(_reactNativeReanimated.default.View, {
    style: [styles.gridline, vertical2]
  }));
}

const styles = _reactNative.StyleSheet.create({
  gridline: {
    backgroundColor: "white",
    height: 1,
    width: "100%"
  }
});
//# sourceMappingURL=Gridlines.js.map