import * as React from "react";
import { ImageURISource } from "react-native";
export declare type RotationAngles = -270 | -180 | -90 | 90 | 180 | 270;
export declare type Adjustments = {
    rotate: number;
    flipHorizontal: boolean;
    originX: number;
    originY: number;
    width: number;
    height: number;
};
interface EditBoxProps {
    gridlines?: boolean;
    maxWidth?: number;
    maxHeight?: number;
    source: ImageURISource & {
        height: number;
        width: number;
    };
}
interface EditBoxRefMethods {
    calculateAdjustments: () => Adjustments;
    flip: () => void;
    reset: () => void;
    rotate: (degrees: RotationAngles) => void;
}
declare const _default: React.ForwardRefExoticComponent<EditBoxProps & React.RefAttributes<EditBoxRefMethods>>;
export default _default;
